2009-04-04  Petr Kovar  <pknbe@volny.cz>

	* data/pages/cs/cs.po: Updated Czech translation by Lucas Lommer.

2009-03-19  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/extra-tarballs: added libunique.
	(closes: #575947)

2009-03-14  Philip Withnall  <philip@tecnocode.co.uk>

	* data/pages/en_GB/en_GB.po: Updated British English translation.

2009-03-01  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: libxslt moved out of the platform, just like
	libxml2.

2009-03-01  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: set tracker minimum version to 0.6 as lgo.py
	only supports versions with two numbers as minimum version.

2009-03-01  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added <subsection> to pygtk and pygobject, to
	get them under the "Language Bindings" header.

2009-02-28  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/skin/top-header-gradient.png,
	data/xslt/heading.xsl: subtle header change, to match the gradient used
	on art.gnome.org.

2009-02-28  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added tracker.
	(closes: #572431)

2009-02-28  Frederic Peters  <fpeters@0d.be>

	* data/xslt/html2html.xsl: fixed handling of latest GTK+ tarball
	(2.15.4) that ships with library.gnome.org links, instead of relative
	links.  (closes: #573394)

2009-01-27  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added libnotify, with a
	description adapted from the Debian package.  (closes: #568846)

2009-01-07  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: updated URL to "Writing new style modules for
	deskbar-applet" document.  (closes: #565937)

2008-12-16  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: autodetect nightly tarballs.

2008-11-27  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: also check for title nodes within xhtml namespace as
	some g-d-u versions can produce them; this helps detecting properly
	depreciated documents.  (closes: #562008)

2008-11-27  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: log documents that are skipped because depreciated.

2008-11-15  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: move anjuta-faqs to devel/tools.

2008-11-15  Frederic Peters  <fpeters@0d.be>

	* src/defaults.lgorc: blacklist gnome-keyring-manager as it has been
	superseded by seahorse long ago.

2008-11-09  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: do not add entries in robots.txt for every
	languages.  (closes: #560008)

2008-11-05  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: remove icon files from version list, in gnome:// support.

2008-11-05  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: make sure the extract stamp directory exists when
	building a single tarball.

2008-11-05  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: added brasero (closes: #559344) and fixed
	rhythmbox inclusion (closes: #559343)

2008-10-27  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: removed external link to accessibility devel
	guide as it is now shipped in gnome-devel-docs.

2008-10-26  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added overlay to have accessibility devel guide
	in the devel section.

2008-10-24  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: merge dirname-versioned-gtkdoc
	documents together.  (closes: #557761)

2008-10-23  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: set creating-metacity-themes document in the
	development section.  (closes: #557569)

2008-10-23  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: log extra tarballs processing.

2008-10-18  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: do not define unnecessary sitemap namespace.

2008-10-18  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added libcanberra.
	(closes: #540451)

2008-10-18  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/skin/lgo.css: moved GNOME development
	links to their own section, and added links to getting involved and
	release planning.  (closes: #556699)

2008-10-18  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in, data/xslt/indexes.xsl:
	listed some external tools and resources.  (closes: #556574)

2008-10-16  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: set GNOME Accessibility Developers Guide as
	development guide.

2008-10-15  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: create a basic page listing nightly generated
	documents.  (closes: #556426)

2008-10-15  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: don't update document title with nightly-generated
	document title; done correctly this time.

2008-10-15  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl, src/lgo.py: put "nightly" version last; and
	mark stable version in bold.

2008-10-15  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/db2html.xsl: display document status
	on nightly builds, if available.

2008-10-15  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: revert "don't update document title with
	nightly-generated document title." as it broke all titles.

2008-10-14  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/db2html.xsl: added a "work in progress"
	warning on nightly-generated documents.

2008-10-14  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: don't update document title with nightly-generated
	document title.

2008-10-14  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: handle "nightly" when comparing version numbers.

2008-10-13  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/db2html.xsl, src/lgo.py: display and
	style <remark> elements for nightly documents.

2008-10-13  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/xslt/indexes.xsl, src/config.py,
	src/defaults.lgorc, src/lgo.py: added support for publishing
	documentation from nightly tarballs.

2008-10-12  Petr Kovar  <pknbe@volny.cz>

	* data/pages/cs/cs.po: Added Czech translation of help by Lucas Lommer.

2008-09-30  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: removed nautilus internals document.
	(closes: #554434)

2008-09-30  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in: moved optimization guide to
	its proper devel section, together with other documents.
	(closes: #554423)

2008-09-30  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: fixed overlay file, broken by copy/paste error
	in last change.

2008-09-29  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: change telepathy-glib to be
	external.  (closes: #549599)

2008-09-29  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: added new stable cairo release.

2008-09-25  Goran Rakić <grakic@devbase.net>

	* data/languages.xml: Added translation for Serbian Latin language name

2008-09-12  Daniel Nylander <po@danielnylander.se>

	* data/pages/sv/sv.po: Updated Swedish translation.

2008-09-06  Frederic Peters  <fpeters@0d.be>

	* data/xslt/html2html.xsl: added support for crosslinking to gio
	documentation.  (closes: #551095)

2008-08-28  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: removed debugging statement

2008-08-27  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: updated telepathy-glib version.

2008-08-26  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: remove margin on paragraphs used in variable
	lists.

2008-08-26  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added manual detection of XInclude errors, as a
	workaround to improper xsltproc error code; thanks to hints from
	Stefan Kost.  (closes: #544356)

2008-08-26  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: don't mention wrong gtk-doc version number.

2008-08-07  Frederic Peters  <fpeters@0d.be>

	* data/xslt/db2html.xsl: special case the list of languages as
	published in the release notes, so language names are sorted.

2008-07-28  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: goocanvas moved to gnome servers.

2008-07-17  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: added new temporary location for jhbuild
	tarball.

2008-07-13  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: moved libxml2 to "others", just like Cairo and
	D-Bus, since it has been moved from platform to external dependency.

2008-07-13  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: adds rhythmbox API
	documentation (closes: #542189); also moved some other manuals
	to the desktop plug-ins section.

2008-06-27  Frederic Peters  <fpeters@0d.be>

	* data/xslt/db2html.xsl: added fake template for book label as it is
	missing from gnome-doc-utils gettext file.  (#540488)

2008-06-21  Frederic Peters  <fpeters@0d.be>

	* data/xslt/html2html.xsl: fixed cross-linking to gdk-pixbuf.
	(closes: #539392)

2008-06-03  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: set text colour on search button as background is
	set, and light gray on white is not that readable.

2008-05-30  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added telepathy-glib.
	(closes: #527126)

2008-05-29  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added cairo and dbus-glib,
	as requested in bug #468525.

2008-05-27  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added link to new GTK+ tutorial by Jan Bodnar.

2008-05-23  Gabor Kelemen  <kelemeng@gnome.hu>

	*data/pages/hu/hu.po: Translation updated.

2008-05-17  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: added generation of a robots.txt file listing
	versioned path, so only /stable/ and /unstable/ URLs will be indexed.
	(closes: #509424)

2008-05-17  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added telepathy
	mission-control.  (closes: #500880)

2008-05-17  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in, data/skin/lgo.css: moved
	bindings docs to be right under "References", at the same level as C
	API and Freedesktop standards.

2008-05-17  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/indexes.xsl: added a footer to
	library.gnome.org index pages.  (closes: #485117)

2008-05-17  Frederic Peters  <fpeters@0d.be>

	* data/pages/C/libgo.xml: added a feedback section with informations
	on how to report bugs and how to request for new documentation to be
	added, with some details about the way it works.  (closes: #505863)

2008-05-17  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: fixed i18n for "external ressource" label.

2008-05-09  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: fixed ApplicationGames id substitution.
	* data/skin/lgo.css: added icon for category "Other".

2008-05-08  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: Rarian 0.8 changed all toc id; as library
	still needs to handle older documents, here is a quick mapping; so
	library is able to use newer toc.xml (needed for translations).

2008-05-08  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: make sure existing tarballs are not skipped in index
	files.

2008-05-08  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: skip tarballs on gtk-doc modules lacking a generated copy
	of the HTML files in their source tarballs.

2008-05-08  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: don't create tarballs for depreciated documents.

2008-05-08  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: don't create tarballs when creating file layout for them
	was skipped because module had already been generated.
	(closes: #532023)

2008-05-06  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl, src/lgo.py: don't link to single-page versions
	when they do not exist.

2008-05-06  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: fixed pointers to single-page documents.
	(closes: #531243)

2008-05-06  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: in Python 2.5, tar.name is now the full filename, with
	path, instead of the tar basename; added workaround.

2008-05-06  Frederic Peters  <fpeters@0d.be>

	* data/skin/print.css, data/xslt/heading.xsl: added minimalistic print
	stylesheet.

2008-05-06  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/xslt/heading.xsl, data/xslt/indexes.xsl,
	src/lgo.py: create single page documents for gnome-doc-utils documents.
	(closes: #531243)

2008-05-05  Frederic Peters  <fpeters@0d.be>

	* data/pages/C/libgo.xml: updated language setting instructions for
	Galeon.  (closes: #531576)

2008-04-29  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: don't use module version number as path in indexes for
	modules that are older versions but processed later, because they
	are mentioned in extra-tarballs.  (closes: #530517)

2008-04-25  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: added gnome-lirc-properties.  (closes: #528874)

2008-04-21  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: added old glib, gtk+, pango and atk versions
	required by the LSB; removed modules that have been added to official
	module sets.  (closes: #514882)

2008-03-26  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: added workarounds for documentation
	modules with variadic name (things like gnome-scan-@API_VERSION@, this
	concerned various GStreamer documents and gnome-scan manual).  Also
	removed link to GStreamer as an external ressource as it got its way
	into library.gnome.org itself.

2008-03-26  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added gnome-scan.
	(closes: #524511)

2008-03-22  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed check of figures existence, as it broke and had
	insufficient fall-back behaviour for figures not in a figures/
	directory (HIG has them in images/), also fixed fall-back behaviour
	to work with images/ directory.  (closes: #523785)

2008-03-21  Kenneth Nielsen  <k.nielsen81@gmail.com>

	* po/LINGUAS: Added da to list of languages
	* po/da.po: Added Danish translation by Mads P. Rommedahl

2008-03-20  Kenneth Nielsen  <k.nielsen81@gmail.com>

	* data/pages/Makefile.am: Added da to list of languages
	* data/pages/da/da.po: Added Danish translation of the
	documentation by Mads P. Rommedal

2008-03-19  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: special case gtk-doc as it has gtkdoc-scan but is not a
	gtk-doc module.

2008-03-14  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: get tables of contents translations from yelp 2.22
	instead of 2.18.1.

2008-03-14  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed <article> id fixup for older release notes.  Fixed
	language building selection.

2008-03-11  Vasiliy Faronov  <qvvx@yandex.ru>

	* data/pages/Makefile.am:
	* data/pages/ru/ru.po: Added Russian translation. 

2008-03-09  Philip Withnall  <pwithnall@svn.gnome.org>

	* data/pages/Makefile.am: added en_GB to DOC_LINGUAS
	* data/pages/en_GB/en_GB.po: Added British English translation.

2008-03-03  Frederic Peters  <fpeters@0d.be>

	* data/languages.xml: added @ qualifier to "be" language code as it
	won't be found otherwise.

2008-03-03  Frederic Peters  <fpeters@0d.be>

	* data/languages.xml, src/lgo.py: added Belarusian language translation
	(workaround as be@Latn doesn't cause be_BY to be used), added
	workaround against a bug in DOC_FIGURES regular expression, to
	autodiscover figures when a figure listed in DOC_FIGURES is not found.

2008-03-02  Frederic Peters  <fpeters@0d.be>

	* data/xslt/db2html.xsl: copied db.xref.target and modified it as not
	to have the filename in links to local anchor.

2008-03-02  Frederic Peters  <fpeters@0d.be>

	* src/config.py, src/defaults.lgorc, src/lgo.py: removed
	always_extract_and_rebuild configuration option, added check on mtime
	on tarballs so a changed tarball triggers a rebuild instead.

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: don't get title/abstract from
	documents for release notes as it is way too broken; also updated
	release notes abstract text from a suggestion of friedel.

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: more workarounds for id on article element of
	release-notes.

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: only display current document translations in sidebar
	(for modules using languages-in-sidebar keyword).

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* data/languages.xml: added translation for language names, Macedonian
	(mk) and Serbian (latin encoding, sr@Latn).

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: default documents without toc_id to
	"Other", same for documents in the "misc" channel.  Add a draft
	abstract for release notes.

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* data/xslt/db2html.xsl: fixed lang parameter in call to gettext xslt
	template, to get "Available Languages:" translated in the sidebar of
	release notes.

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed typo in previous commit.

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: more workarounds for id on article
	element of release-notes.

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/xslt/db2html.xsl, src/lgo.py: always copy
	all image files, falling back to those from C locale when necessary,
	modified db2html to link to language-qualified figure filenames.

2008-03-01  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: more support for release notes,
	putting them into misc/ instead of users/, added fix for English
	translations and for id="index" on wrong element.

2008-02-21  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: explicitely add GTK+ 2.13 as it is not part of
	GNOME 2.21 module sets and its documentation is nevertheless useful to
	have...

2008-02-16  Frederic Peters  <fpeters@0d.be>

	* data/gnome-library-search.xml, data/xslt/db2html.xsl,
	data/xslt/gtk-doc.xsl, data/xslt/heading.xsl, data/xslt/html2html.xsl,
	data/xslt/indexes.xsl,j src/lgo.py: added OpenSearch plugin.
	(closes: #516894)

2008-02-16  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: updated gdl description.

2008-02-16  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py, data/extra-tarballs, data/overlay.xml.in: added GNet (and
	added looking for gtkdoc-scan to get gtk-doc modules) (closes: #515774)
	and Glom (closes: #512672), moved gio to the platform and added a
	description, marked GnomeVFS for deprecation, moved gdl as a desktop
	library and added a description (closes: #515731).

2008-01-18  Gil Forcada  <gforcada@gnome.org>

	* data/pages/ca: Added new folder.
	* data/pages/ca/ca.po: Added Catalan translation by David Planella.
	* data/pages/Makefile.am: Added ca to DOC_LINGUAS.

2008-01-16  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/skin/star.png: don't put document title in
	red, use star with round corners as on other GNOME sites.

2008-01-16  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: fixed jhbuild temporary download url.

2008-01-16  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added JHBuild manual (from
	temporary download location).

2008-01-12  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: check all parts of version directory are numbers.

2008-01-12  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: don't abort when listing a directory that doesn't exist.

2008-01-12  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: ignore $(srcdir) when looking for HTML images in gtk-doc
	modules.  (closes: #508917)

2008-01-12  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added looking up of devel modules that are not shipped in
	any GNOME release.

2008-01-07  Frederic Peters  <fpeters@0d.be>

	* data/languages.xml: added language name for "af" code (Afrikaans).
	(closes: #507813)

2008-01-05  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in: fixed typo in string  (closes: #507494)

2007-12-29  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: look for OMF files in C/ if they are not found in the
	base directory (required for gtk-doc).

2007-12-29  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: added extra specific support for
	gtk-doc manual, which is almost gnome-doc-utils.

2007-12-16  Frederic Peters  <fpeters@0d.be>

	* data/xslt/html2html.xsl: added support for crosslinking to pango
	documentation.  (closes: #503888)

2007-12-15  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: fixed closing tag.

2007-12-15  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added gmime library
	reference manual (closes: #503767)

2007-12-08  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed handling of obsoleted documents (window list and
	  workspace switcher from gnome-panel)  (closes: #502372)

2007-12-07  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: defaults to copying figures/*.png, like
	gnome-doc-utils.make (closes: #502011)

2007-11-25  Frederic Peters  <fpeters@0d.be>

	* web/symbols_server.py: escape undescores in SQL select clause.

2007-11-25  Frederic Peters  <fpeters@0d.be>

	* data/skin/jquery.autocomplete.css, data/skin/indicator.gif: some CSS
	makeup for the dropdown box.

2007-11-25  Frederic Peters  <fpeters@0d.be>

	* data/js/jquery.autocomplete.js, data/xslt/indexes.xsl,
	web/symbols_server.py: limit the number of rows returned from the
	symbols server (because all of gtk_* is a bit too much).

2007-11-25  Frederic Peters  <fpeters@0d.be>

	* data/js/jquery.autocomplete.js, data/js/jquery.js,
	data/skin/jquery.autocomplete.css, data/xslt/indexes.xsl,
	web/symbols_server.py: added symbols_server, a SCGI server providing
	symbol lookups for libgo (replacing the mod_rewrite usage).

2007-11-25  Frederic Peters  <fpeters@0d.be>

	* src/config.py, src/defaults.lgorc, src/lgo.py: added generation of a
	SQLite database with all symbols, to be used (later) in the symbol
	lookup form.

2007-11-19  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added libepc.
	(closes: #498194)

2007-11-06  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added gio-standalone and
	gvfs (still no doc in that module).

2007-11-03  Frederic Peters  <fpeters@0d.be>

	* data/xslt/html2html.xsl: updated href fixes to match gtk-doc changes
	(as it now ships HTML files with full /usr/share/gtk-doc/ paths).
	(closes: #492971)

2007-10-10  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added shared-mime-info-spec to reference
	documents.

2007-10-10  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: updated GooCanvas download URL to use a
	Sourceforge mirror with a newer version.

2007-10-10  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added GooCanvas API
	documentation to help future canvas discussions.  (closes: #485354)

2007-10-03  Frederic Peters  <fpeters@0d.be>

	* data/js/language.js: append a question mark the URL the user is
	redirected to on language cookie removal; to fool the browser cache
	in reloading the page.  (idea from Sam Ruby)

2007-10-02  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: changed to use the new gnome:// scheme, so it
	automatically gets new versions.

2007-10-02  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added check for version number format so
	tarballs-needing-help directory is not considered as a GNOME release.

2007-10-01  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: ignore old releases but stable and latest development
	version when using the gnome:// url scheme.

2007-09-30  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: marked 0.something versions as development versions.

2007-09-30  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed some issues with remove gnome:// url scheme.

2007-09-30  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added support for a gnome:// url scheme, to be used to
	automatically get new version of extra tarballs.

2007-09-28  Frederic Peters  <fpeters@0d.be>

	* data/xslt/html2html.xsl: fixed cross-references to GDK documentation
	(closes: #481424)

2007-09-28  Luca Ferretti  <elle.uca@libero.it>

	* data/pages/it/it.po: Updated Italian translation.

2007-09-27  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/xslt/heading.xsl: gettextized top bar
	labels (and removed empty accesskeys for them)  (closes: #479567)

2007-09-27  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/indexes.xsl: removed watermark star from
	documentation pages since it reduces readability of links for some
	persons; kept it on index pages.  (closes: #476594)

2007-09-25  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added libgda and libgnomedb
	API references (instead of a link to gnome-db.org)  (closes: #480326)

2007-09-23  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: install a symlink to tarball in module directory, so an
	URL like http://library.gnome.org/users/glib/devel/glib-html.tar.gz is
	available.

2007-09-23  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: sort tarballs from newest to oldest.  (closes: #479577)

2007-09-23  Frederic Peters  <fpeters@0d.be>

	* data/xslt/html2html.xsl, src/lgo.py: fix links between gtk-doc
	references created through HTML transformations (closes: #479488)

2007-09-23  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: added explicit color for text, as background is
	explicitely specified and a browser-set background could make font
	unreadable.  (closes: #479530)

2007-09-22  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: guards against already existing files when copying
	figures for tarballs.

2007-09-22  Frederic Peters  <fpeters@0d.be>

	* data/xslt/db2html.xsl, src/config.py, src/defaults.lgorc, src/lgo.py:
	added generation of tarballs with HTML documentation for g-d-u modules;
	and a configuration option to disable creation of tarballs.  (closes
	remaining of #476725)

2007-09-22  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: sort download links by version number.

2007-09-22  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/skin/lgo.css, data/xslt/indexes.xsl:
	include a link to module index as "more versions, languages, or
	options..." next to documentation title; also marked external resources
	and fixed some "other translations" links that shouldn't have been
	there.

2007-09-22  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/skin/lgo.css, data/xslt/indexes.xsl,
	src/lgo.py: added tarballs with HTML files for gtk-doc modules, with a
	note about devhelp.  (closes part of #476725)

2007-09-21  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: fixed reference to HIG, as its name is hig-book,
	not hig.

2007-09-21  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: removed external link to HIG as it has been
	integrated in gnome-devel-docs, moved that one as well as the
	integration guide to the devel channel.  (closes: #478949)

2007-09-20  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added check on <document> creation for possible
	ElementTree serialization to aid in debugging ElementTree errors; also
	added check on toc_id to ignore modules with toc_id as None (happens
	with gnome-doc-utils modules missing their omf files, such as newly
	released gnome-media-2.20.1)

2007-09-19  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/languages.xml: Capitalize first letters
	in Russian and Danish language names.

2007-09-18  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: don't copy images from gtk-doc modules in a subdirectory
	(closes: #476850)

2007-09-18  Laurent Dhima  <laurenti@alblinux.net>

	* data/pages/Makefile.am: added sq to DOC_LINGUAS
	* data/pages/sq/sq.po: Added Albanian translation.

2007-09-14  Claude Paroz  <claude@2xlibre.net>

	* data/pages/Makefile.am: Added fr to DOC_LINGUAS.
	* data/pages/fr/fr.po: Added French translation.

2007-09-13  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: don't let foreign languages overwrite the
	English version of module index pages; keep lang as parameter and
	only use attribute for destination links.

2007-09-13  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added version number in gtksourceview 2.0
	reference manual title to differentiate it from gtksourceview 1.0
	reference manual. (closes: #476566) (btw perhaps gtksourceview 1.0
	should be marked as obsolete)

2007-09-13  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed URL to refer to unstable/ instead of version number
	for modules where the only available version is from a development
	version. (closes: #476564)

2007-09-13  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: sort sections in sidebar toc in the same order
	as in main page.

2007-09-11  Daniel Nylander <po@danielnylander.se>

	* data/pages/sv/sv.po: Updated Swedish translation.

2007-09-11  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: use translations from page language instead of
	document language. (closes the other part of: #475610)

2007-09-11  Frederic Peters  <fpeters@0d.be>

	* data/xslt/heading.xsl: use parameter, not element attribute, to get
	header language. (closes: #475610)

2007-09-11  Frederic Peters  <fpeters@0d.be>

	* README, src/lgo.py: new --rebuild-language option, to force
	rebuilding of pages in a given language (useful when it gained
	translations for common elements).

2007-09-10  Frederic Peters  <fpeters@0d.be>

	* data/pages/C/libgo.xml: fixed typo in documentation detected by
	Vincent Untz (closes: #475215)

2007-09-10  Luca Ferretti  <elle.uca@libero.it>

	* data/pages/Makefile.am: added it to DOC_LINGUAS
	* data/pages/it/it.po: added Italian translation by
	Milo Casagrande <milo_casagrande@yahoo.it> with a 
	little review from myself.

2007-09-05  Simos Xenitellis  <simos@gnome.org>

	* data/pages/el/el.po: Added Greek translation.

2007-08-30  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs: bumped Empathy to 0.12, removed gnome-devel-docs
	(since it is now part of moduleset)

2007-08-29  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: documents from GNOME|Applications|Programming should
	automatically go to the developers channel.

2007-08-29  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/xslt/db2html.xsl, src/lgo.py: fixed two
	issues with Evolution documentation: two different <title> in
	<bookinfo> (hacked xslt) and missing id on top <book> element (added a
	quirk mechanism to fix this in the XML file).

2007-08-29  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: generate index pages for all known languages, not just
	those with translations.

2007-08-29  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: don't display debug statements for files that
	are not written.

2007-08-29  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: removed conditions on <dd> presence, so it
	gets there everytime, even for English documents without abstracts
	(necessary to get a link to the development version).

2007-08-29  Frederic Peters  <fpeters@0d.be>

	* data/languages.xml: added Occitan and Punjabi native names (from
	Wikipedia).

2007-08-29  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed listdir on local mirror to return sorted results.

2007-08-29  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: set shorter socket timeout (since library.gnome.org tends
	to timeout on connecting to sourceforge)

2007-08-28  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: fixed overlay apply on some elements
	and set user-guide weight to max so it gets at the top.

2007-08-28  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/indexes.xsl: added a mini table of
	contents on developers references page; as suggested by Johan Dahlin.

2007-08-27  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added PyGObject Reference Manual.

2007-08-27  Maxim Dziumanenko <dziumanenko@gmail.com>

	* data/pages/uk/uk.po: Added Ukrainian translation.
	* data/pages/Makefile.am: Add uk to DOC_LINGUAS

2007-08-27  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: link to external documentation for gtkmm until
	it gets better than http://www.gtkmm.org/documentation.shtml; fixed
	gnome-db to go under "other libraries".

2007-08-26  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: catch urllib2.URLError when downloading.

2007-08-26  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added support for downloads from sites other than
	ftp.gnome.org.

2007-08-26  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: added occurences of -khtml-border-radius where
	-moz-border-radius was used, so WebKit gets rounded corners.

2007-08-25  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: fixed attribute spelling for
	api-desktop weight, and fixed libxml2/libxslt subsection (must be in
	developer platform).

2007-08-25  Frederic Peters  <fpeters@0d.be>

	* src/defaults.lgorc: added gnome-feedback to module to ignore, since
	it is now obsolete and has been moved to the User Guide.
	(closes: #470145)

2007-08-25  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/xslt/heading.xsl: added site title to
	translatable strings; patch by Claude Paroz (closes: #470146)

2007-08-24  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in: moved gdm manual to the
	admin channel.

2007-08-24  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/js/langcookie.js, data/js/language.js,
	data/js/search-lang-and-cookies.js, data/xslt/indexes.xsl: added
	strings from javascript file to catalog.xml.in, and added generation of
	per-lang javascript files from indexes.xsl.

2007-08-23  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added a bunch of freedesktop.org specifications
	to the references section.

2007-08-23  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added missing check for file existence.

2007-08-23  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in, data/skin/docbook.css,
	data/skin/lgo.css, data/xslt/html2html.xsl, data/xslt/indexes.xsl,
	src/lgo.py: added possibility for *standalone* remote HTML documents to
	be published in library.gnome.org; applied that new feature to guide to
	GNOME lockdown and to the Desktop Entry Specification.

2007-08-23  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added check for translated file existence since some
	modules *lost* languages from one version to the next (ex: Japanese was
	available for file-roller <= 2.16).

2007-08-23  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: improved some logging.info() message, and decreased some
	to logging.debug()

2007-08-23  Frederic Peters  <fpeters@0d.be>

	* src/utils.py: added required implementation of getmembers() to
	FakeTarFile.

2007-08-23  Frederic Peters  <fpeters@0d.be>

	* src/config.py, src/defaults.lgorc, src/lgo.py, src/utils.py: added an
	experimental "fast mode" that uses a fake TarFile class to iterate over
	already extracted tarballs, instead of reading them each file.

2007-08-22  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/xslt/html2html.xsl, src/lgo.py: added
	possibility to specify minimum tarball version where to extract
	HTML files (used for gtkmm where the HTML transformation only works for
	version >= 2.11.7)

2007-08-22  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed web output dir for gnome-doc-utils documents,
	development versions would sometimes end up in stable version
	directory.

2007-08-22  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed lookup of HTML documentation in tarballs, so
	tarballs of the same module but for several versions are processed
	(only the first one was being processed).

2007-08-22  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in, data/skin/adm-icon.svg,
	data/skin/adm-icon.png, data/skin/lgo.css, data/xslt/heading.xsl,
	data/xslt/indexes.xsl, src/lgo.py: added a channel for system
	administrators.

2007-08-22  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added screen escape sequence to set terminal title when
	running in screen, useful for quick monitoring of long rebuilds.

2007-08-21  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: changed sitemap generation to only generate
	one file, it is not that large.

2007-08-21  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: changed the comment about leaving
	translations of URL empty if there is no available translation since it
	doesn't seem to be noticed by translators, changed them to a dash.

2007-08-21  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: added generation of sitemap files.

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in: fixed spelling in deprecated module explanation.

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added "Writing new-style modules for
	Deskbar-Applet" tutorial. (closes: #468576)

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: fixed filename displayed in debug messages.

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed dbm file generation for external modules (they
	should be ignored).

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in, data/skin/lgo.css,
	* data/xslt/indexes.xsl, src/lgo.py: marked modules heading for
	deprecation as such.  (closes: #468523)

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: added default subsection for API to
	be Desktop Libraries; added a new Plugins subsection with gedit,
	evince, epiphany and gok (not sure about that last one).
	(closes: #468521)

2007-08-20  Daniel Nylander <po@danielnylander.se>

	* data/pages/sv/sv.po: Updated Swedish translation.

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: list user guide, a11y guide and sysadmin guide
	in a more prominent place (at the top of the page) (closes: #468527)

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: changed default link colour to the blue that
	appears at the top of selected tab.

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/skin/lgo.css, data/xslt/indexes.xsl:
	added link to documentation of development version on index pages.

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: fixed typo in gnomecanvas description and
	non-sense in developer tools pitch. (closes: #468468)

2007-08-20  Frederic Peters  <fpeters@0d.be>

	* data/xslt/db2html.xsl, data/xslt/indexes.xsl: set doctype and html
	mode on documents.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: always create an unstable symlink, pointing to stable if
	there is no development version.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added libart, GStreamer and gnome-db.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/xslt/html2html.xsl, src/lgo.py: added gtkmm
	reference; added libgo.h2hmode to html2html.xsl to allow for custom
	transformations; also removed html2html.xsl from XSL files for GtkDoc
	since they are only used when html5lib is missing and cause too much
	of a rebuild.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* data/xslt/heading.xsl: removed empty div#language, as it collapses to
	an empty <div/> tag on some configurations, which cause havoc in the
	layout.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, data/overlay.xml.in: added nemiver to
	development tools.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* src/config.py, src/defaults.lgorc, src/lgo.py: replaced usage of
	Python dbm module by a popen call to httxt2dbm to be sure the db file
	is compatible with Apache; also added a httxt2dbm_path configuration
	option.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: protected path reevaluation against previous version
	without keyword.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: added support for devhelp 1 files
	(as used for PyGTK reference manual).

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added subsection for language bindings, and
	added PyGTK reference manual.

2007-08-19  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed behaviour for depreciated documents (such as
	window-list in gnome-panel 2.19), they should not be displayed, and
	they should not have effects on stable/devel symlinks.

2007-08-18  Frederic Peters  <fpeters@0d.be>

	* data/skin/tab_left.png: updated with current version from
	http://gnome.jardigrec.eu/en/

2007-08-18  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added checking of xsl file mtimes to decide if a module
	should be rebuilt.

2007-08-18  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: remove static files tree before copying a new one.

2007-08-18  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: added null margin and padding to sidebar language
	list for MSIE.

2007-08-18  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed language display for documents that are not
	available in English.

2007-08-18  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: fixed language chooser on subindex pages.

2007-08-18  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/heading.xsl, data/skin/library.png:
	added library logo (by Andreas Nillson) to header.

2007-08-18  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/skin/lgo.css, data/xslt/indexes.xsl,
	data/skin/icons/tools-96.png: renamed Tools section to Development
	Tools, also used that label on the index page, added an explanation
	paragraph (could be better), and changed tools icon.

2007-08-17  Frederic Peters  <fpeters@0d.be>

	* data/xslt/gtk-doc-fixup.xsl, data/overlay.xml.in,
	data/catalog.xml.in, src/lgo.py: added support to transform HTML files
	shipped within tarballs, and applied to GTK+ tutorial and FAQ.

2007-08-17  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl, src/lgo.py: use stable/unstable symlinks
	instead of confusing 'latest'.

2007-08-17  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/skin/lgo.css, data/xslt/indexes.xsl,
	src/lgo.py: added symbol lookup form on API index page when a DBM file
	is available; usable with this:
	  RewriteCond %{QUERY_STRING} ^q=(.*)$
	  RewriteRule ^/api/lookup ${symbolsmap:%1}? [R,NE,L]

2007-08-17  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: replaced gdbm by dbm as I failed to define a RewriteMap
	with a gdbm file...

2007-08-17  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: fixed some references to images that were broken
	by a zealous search/replace.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* src/config.py, src/defaults.lgorc, src/lgo.py: added option to
	generate a dbm file with symbols from devhelp files; to be used with
	Apache RewriteMap.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: only copy files if they have changed (this time when
	copying static files in gtk-doc modules).

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl, src/lgo.py: display complete version numbers,
	not just their abbreviated two number forms, i.e. 1.17.5, not 1.17).

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: only stat() files that exist when checking if static
	files should be copied.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: only copy static files (css, js, etc.) if they have
	changed, so that headers set by Apache (Last-Modified and ETag) are
	useful for caching (and also copy gif files).

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/skin/icons/tools-96.png, data/skin/icons/api-96.png,
	data/skin/icons/gdp-96.png, data/skin/icons/guides-96.png: reverted
	last change for subindexes images, they really look nicer with full
	alpha channels

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/skin/star.png, data/skin/icons/tools-96.png,
	data/skin/icons/api-96.png, data/skin/icons/gdp-96.png,
	data/skin/icons/guides-96.png: converted images to indexed colors to
	reduce file sizes.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: underline links with dotted gray line, more subtle
	than solid blue.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/xslt/heading.xsl: marked search button
	label for translation.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/heading.xsl: added search box in header,
	and styled links as underlined blue.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: right margin and gray text for subindexes.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/xslt/indexes.xsl, src/lgo.py: ordered API
	references by dependency order, and added links to libxml2 and libxslt
	references.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/xslt/gtk-doc-fixup.xsl, 
	data/xslt/heading.xsl, data/xslt/indexes.xsl, src/lgo.py: moved
	developers stuff from /developers/ to /devel/, as suggested by jdub.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: minor tweaks to work with smaller and larger
	font sizes, also use new tab_right.png from future www.gnome.org
	and lightened the background star.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/xslt/indexes.xsl, src/lgo.py: marked
	development versions on module index pages as such.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed index pages displayed in the wrong language.

2007-08-16  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: make index pages links to keyword 'stable' instead of
	versioned pages (closes: #467265)

2007-08-15  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: moved documentation project documents to the
	guides subindex.

2007-08-15  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/skin/lgo.css, data/xslt/indexes.xsl,
	src/lgo.py: developer channels has now subindexes for guides, API
	references, tools and documentation project.  (based on a layout
	suggested by Alberto Ruiz, closes: #467020)

2007-08-15  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: use os.path.islink instead of os.path.exists for version
	symlinks, since the later returns False for dangling symlinks.

2007-08-15  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: only look for files terminating by .tar.{bz2,gz} while
	looking for latest version.

2007-08-15  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added exception for 'about' channel when creating
	symlinks.

2007-08-15  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: guard against exceptions when looking for latest version
	in local ftp.gnome.org copy (was broken for iso-codes).

2007-08-15  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: install symlinks for stable and latest versions of
	documentation.

2007-08-14  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: made sure versions are sorted in index files.

2007-08-14  Frederic Peters  <fpeters@0d.be>

	* src/config.py, src/defaults.lgorc, src/lgo.py: added new config
	option, use_latest_version, to use latest version of tarball in a given
	serie (instead of the one explicitely written in jhbuild moduleset).
	Note this only works with a local ftp.gnome.org copy at the moment.

2007-08-14  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/xslt/indexes.xsl, src/lgo.py: devised
	scheme to allow translators to translate titles and abstracts for
	external documents that are only available in English, and still have
	those documents marked as untranslated.

2007-08-14  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in: added documents mentioned
	in content analysis at http://live.gnome.org/GnomeWeb/DeveloperGnomeOrg
	(and an abstract to HIG).

2007-08-14  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: added conditional Internet Explorer comment
	and hack to get it to render the two boxes on home page in their
	allocated width.

2007-08-14  Frederic Peters  <fpeters@0d.be>

	* data/Makefile.am: added missing SUBDIRS, so that translation for
	static pages are built.

2007-08-13  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css: enlarge <hr />, and make it gray; as suggested by
	Stefan Kost.

2007-08-13  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: check title is present before checking it against
	depreciated document value.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl, src/lgo.py: watermark home pages with
	Subversion $Id$ line of src/lgo.py, to ease debugging.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* src/config.py, src/errors.py, src/lgo.py: added proper copyright and
	license comments at the top of the files.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: keep a cache of extracted copy of scrollkeeper.xml.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* README: documented the new languages configuration variable; and
	updated the time required to scan everything (down to 20 minutes).

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* src/errors.py, src/lgo.py: refactored title/abstract lookup to add
	handling of depreciated documentation for already built documents.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: more logic for fallback languages on index pages.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: moved "GNOME Documentation Build Utilities" and
	"GNOME Documentation XSLT Manual" to the developers channel.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added detection for depreciated documents from
	gnome-panel (such as window list applet, moved to user guide).

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/skin/lgo.css, data/xslt/indexes.xsl,
	src/lgo.py: display native documentation when there is no available
	translation, for all documents (not just in developers channel).

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* data/xslt/db2html.xsl, src/lgo.py: added support for gnome-doc-utils
	that have their top element with an id different than 'index'.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/pages/C/libgo.xml: typo fixes by Satoru
	SATOH.

2007-08-12  Satoru SATOH <ss@gnome.gr.jp>

	* data/pages/ja/ja.po: Added Japanese translation.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added comment for translators.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/xslt/heading.xsl: added missing About
	string.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* data/xslt/db2html.xsl: added hack to get title from documents in
	gnome-user-docs; they have /book/title instead of /book/bookinfo/title.

2007-08-12  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: protect against error when generating index.xml.$lang
	files; respect languages config option when generating static pages.

2007-08-11  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/xslt/db2html.xsl, data/xslt/libgo-xref.xsl,
	src/config.py, src/defaults.lgorc, src/lgo.py: added support for cross-
	referencing between gnome-doc-utils documents; generate files for
	licences and special-case them so they go under /about/; added a new
	languages config option to limit the number of languages being built.

2007-08-11  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: reverted xsltproc stdout/stderr change since it blocks on
	some unknown conditions.

2007-08-11  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: added id attributes to subtitles, so they can
	be pointed to in URLs.

2007-08-11  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: moved common code from gtk-doc and gnome-doc-utils
	modules to parent class.

2007-08-11  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: catch xsltproc stdout/stderr output unless in debug mode.

2007-08-11  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: refactored quite a bit, necessary to fix cross-references
	between gnome-doc-utils documents (not yet done); also improved
	performance quite a bit (35% faster on my run on lgo.0d.be).

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: fixed return code check for xsltproc, so gtk-doc with
	failed entities are then correctly processed by gtk-doc-fixup.xsl.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* README, src/lgo.py: added a --rebuild=FILENAME command line option,
	to rebuild documentation modules from given FILENAME.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: fixed typo in libgnomecanvas abstract.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* data/extra-tarballs, * data/overlay.xml.in: added Empathy, and a
	section for the Telepathy stack.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* data/xslt/heading.xsl, src/lgo.py: fixed generation of English (C)
	about pages; and made heading tab point to the right page.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* data/languages.xml: added Arabic translation of Arabic.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* src/config.py, src/defaults.lgorc, src/lgo.py: unified extra tarballs
	lookup, they are all kept in config file, and initialized from
	datadir/extra-tarballs.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* data/skin/lgo.css, data/xslt/indexes.xsl: include language code next
	to language name, since they are sorted against that code and confuse
	people otherwise (just a temporary measure before sorting languages
	correctly).

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: try to get translated titles and abstracts even for
	untranslated API documentation.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: use proper namespace for xml:lang, necessary for
	ElementTree.

2007-08-10  Frederic Peters  <fpeters@0d.be>

	* README, src/lgo.py: added a new --skip-extra-tarballs option.

2007-08-09  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: add a trailing slash to output dir if necessary (and
	warns about the missing slash)

2007-08-09  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl, src/lgo.py: added possibility of debug output.

2007-08-08  Frederic Peters  <fpeters@0d.be>

	* Makefile.am, configure.ac, data/pages/Makefile.am: added necessary
	autotools stuff for gnome-doc-utils.

2007-08-03  Daniel Nylander <po@danielnylander.se>

	* data/pages/sv/sv.po: Added initial Swedish translation.

2007-08-02  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: replaced descriptions from developer.gnome.org
	by descriptions from "Platform Overview".

2007-08-02  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in, src/lgo.py: added section
	sort on weight; and possibility to define section weigth in overlay
	file.

2007-08-02  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: fixed typo in ATK description (closes: #462560)

2007-08-01  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl, src/lgo.py: fixed subsection sort on weight.

2007-08-01  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/lgo.py: possibility to add weight to
	subsections (will be extended to sections and docs later on); so
	important items can be placed first (still resort to alphabetical
	sorting for equal weights).

2007-08-01  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in, data/skin/lgo.css,
	data/xslt/indexes.xsl, src/lgo.py: possibility to define subsections in
	overlay file, useful to categorise API references (platform, desktop,
	etc.)

2007-08-01  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: support for subsections, changed the code to
	lookup parent language (actually pass it as parameter instead of
	looking it up)

2007-08-01  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl, src/lgo.py: adds hierarchy to transient xml
	index file; instead of doing it through xslt bad "order by" hack.

2007-07-31  Frederic Peters  <fpeters@0d.be>

	* data/xslt/indexes.xsl: case-insensitive category sorting.

2007-07-31  Frederic Peters  <fpeters@0d.be>

	* src/lgo.py: added check for data/overlay.xml and data/catalog.xml
	at startup.

2007-07-31  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, src/config.py, src/defaults.lgorc, src/lgo.py,
	data/extra-tarballs: added data/extra-tarballs and extra_tarballs
	config variable, to list extra tarballs to process; initialized with
	gnome-devel-docs (overridden to go to developers/)

2007-07-31  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in: added abstract for most libraries found on
	http://developer.gnome.org/doc/API/

2007-07-31  Frederic Peters  <fpeters@0d.be>

	* data/catalog.xml.in, data/overlay.xml.in, data/skin/lgo.css,
	data/xslt/indexes.xsl, src/lgo.py: really commited overlay.xml.in,
	use it to add the HIG to developers channel.

2007-07-31  Frederic Peters  <fpeters@0d.be>

	* data/overlay.xml.in, data/Makefile.am, src/lgo.py: added overlay
	thingie, which allows to modify processed documents, used for the
	moment to add an abstract to GLib and GObject reference manuals.
	(will also be used to add external documents, but this part is just
	a stub at the moment)

2007-07-31  Frederic Peters  <fpeters@0d.be>

	* initial import.
